﻿using Microsoft.Maps.Core;

namespace MsdnMag.ObaApp
{
	internal class BusStopContributor : Contributor
	{
		private ObaPlugin _parent;
		private BusStopEntity _entity;

		public BusStopContributor()
		{
			this.Text = "Arrival times";
		}

		public BusStopContributor(ObaPlugin parent, BusStopEntity entity) : this()
		{
			_entity = entity;
			_parent = parent;
		}

        protected override void InvokeOverride()
		{
			_parent.PopupContract.Hide();
			_parent.SearchArrivalTimes(_entity);
		}
	}
}