﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using Microsoft.Maps.Core;

namespace MsdnMag.ObaApp
{
	internal partial class BusStopsPanel : UserControl
	{
		private ObaPlugin _plugin;
		private ObaLayer _layer;

		public BusStopsPanel(ObaPlugin plugin, ObaLayer layer)
		{
			InitializeComponent();

			_plugin = plugin;
			_layer = layer;
		}

		private void OnBusStopClick(object sender, RoutedEventArgs e)
		{
			FrameworkElement element = (FrameworkElement)sender;
			BusStopEntity entity = (BusStopEntity)element.DataContext;
			_plugin.SearchArrivalTimes(entity);
		}

		private void Border_MouseEnter(object sender, MouseEventArgs e)
		{
			FrameworkElement element = (FrameworkElement)sender;
			BusStopEntity entity = (BusStopEntity)element.DataContext;
			entity.Primitive.SelectedState = SelectedState.Selected;
		}

		private void Border_MouseLeave(object sender, MouseEventArgs e)
		{
			FrameworkElement element = (FrameworkElement)sender;
			BusStopEntity entity = (BusStopEntity)element.DataContext;
			entity.Primitive.SelectedState = SelectedState.NotSelected;
		}
	}
}