﻿using System;
using System.Windows.Data;
using System.Windows.Media;

namespace MsdnMag.ObaApp
{
	public class DateTimeToForegroundConverter : IValueConverter
	{
		Brush _blueBrush, _redBrush;

		public DateTimeToForegroundConverter()
		{
			_blueBrush = new SolidColorBrush(Colors.Blue);
			_redBrush = new SolidColorBrush(Colors.Red);
		}

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			DateTime arrivalTime = (DateTime)value;
			DateTime now = DateTime.Now;
			return (arrivalTime >= now) ? _blueBrush : _redBrush;
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
